Skip to main content
`Ctrl`+`K`

# PetscDTStroudConicalQuadrature

create Stroud conical quadrature for a simplex [KS05]

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTStroudConicalQuadrature(PetscInt dim, PetscInt Nc, PetscInt npoints, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

## Input Parameters

- dim - The simplex dimension

- Nc - The number of components

- npoints - The number of points in one dimension

- a - left end of interval (often-1)

- b - right end of interval (often +1)

## Output Parameter

- q - A `PetscQuadrature` object

## Note

For `dim` == 1, this is Gauss-Legendre quadrature

## References

[KS05]

George Karniadakis and Spencer J Sherwin. Spectral/hp element methods for computational fluid dynamics. Oxford University Press, USA, 2005.

## See Also

`PetscDTGaussTensorQuadrature()`, `PetscDTGaussQuadrature()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

## Examples

src/dm/field/tutorials/ex1.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages